URL structure
{orgId} is the ID of an organization.
Supported methods and overview
POST- used to add a new group to an organization.GET- used to retrieve a list of information for all groups defined within an organization.
Detailed description
This API endpoint serves a number of purposes:-
Adds a new group to an organization.
Notes:- To add one or more Covata users to a group, see <access-service>/api/v1/organisations/{orgId}/groups/{groupId}. Also see <access-service>/api/v1/organisations/{orgId}/labels for more information about adding new classifications to an organization.
- To associate this group with one or more classifications, which would then allow these classifications to restrict file sharing to any Covata users who are members of this group, see <access-service>/api/v1/organisations/{orgId}/groups/{groupId}.
- Retrieves a list of information for all groups in an organization.
Supported roles
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Organization administrator - if this user is a member of the organization specified by the
{orgId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters on POST
The following required parameter must be sent in the body of the POST request, as an individual member of a JSON object:- name - . Example ():
Optional parameters on POST
The following optional parameter can also be sent in the body of the POST request, as an individual member of the JSON object that includes the Required parameters on POST above:- description - . Example ():
Optional parameters on GET
The following optional parameters can be sent in the URL of the GET request:- limit - 0 to 100 (default is 0).
- offset - default is 0.
-
orderBy -
ASCorDESC(default isASC). - sortBy - . Example ():
Returns from a POST request
A JSON-formatted response containing the following members:- id - .
- name - .
- description - . Example (response from …):
Returns from a GET request
A JSON-formatted response containing the following members:-
items - .
- id - .
- name - .
- labelCount - .
- memberCount - .
- count - .
- offset - . Example (response from …):

